#!/usr/bin/perl

sub pcd_cr{
  local($cmd) = @_;
  local(@tbdr);

@tbdr = ();

## read mydir ###
if( substr($cmd,0,1) eq "+" ){
  if( -f $MT_mydir ){
    open(MYDR,"$MT_mydir");
    while( $drm = <MYDR> ){
      chomp($drm);
      unless( -d $drm ){
        print " Warning no found dir  [$drm] in $MT_mydir\n";
        next; }
    push( @tbdr, $drm ); }
  }
}
 
## project ##
if( substr($cmd,1,1) eq "p" ){
  unless( -f $MT_myprj ){
    print " enter prj-commande [prj] to specify the prj-data\n";
    exit; }

  chomp($pnam = `cat $MT_myprj`);
  print ">> Prj-name : $pnam  O.K. (<rtn>:y/n) ==> ";
  $ans = <STDIN>;
  chomp($ans);
  if( $ans eq "n" ){
    system("perl $MT_plib/prj.pl"); }
  chomp($pnam = `cat $MT_myprj`);

  $prjdr = "$MT_phom/Prj";
  chdir $prjdr;
  unless( -f $pnam ){
    print " No found prj-name [$pnam] in Prj-dir\n";
    exit 3; }

  print " Wait a moment till register nick-names.\n";
  print "    using prj-data $pnam\n";

  @temp  = `sed -n 's/^inc//p' $pnam`;
  @temp2 = `sed -n 's/^src//p' $pnam`;
  push( @temp, @temp2 );
  @temp2 = `sed -n 's/^dir//p' $pnam`;
  push( @temp, @temp2 );

  foreach $drm (@temp){
    chomp($drm);
    if( $drm =~ /\*$/ ){       # wild asterisk
      $drm =~ s/\*$//;
      $path = &path($drm);
      unless( -d $path ){
        print " Warning no found dir  [$path]\n";
        next; }
       @tbdr = &pgtdr($path,@tbdr); 
    }
    else{                      # normal
      $path = &path($drm);
      unless( -d $path ){
      print " Warning no found dir  [$path]\n";
      next; }
    push( @tbdr, $path );
    }
  }

 if( $#tbdr < 0 ){
   print "  No found dir.  Please check\n";
   exit; }
}
 
## current directory ###
  else{
  print "get nick-names of subsequent directory.\n";
  print "    from current directory : ",`pwd`;
  @tbdr = &pgtdr(".",@tbdr);
}

## check double dir ###
  @tbdr = &puniq(@tbdr);
  $MT_ncolm = 1;
  $MT_lnfix = 0;
  &pvlst(@tbdr);

## make mydir-file ###
  open(MYDR,"> $MT_mydir");
  foreach $drm (@tbdr){
    print MYDR "$drm\n"; }
  close(MYDR);
  $lno = `grep -c . $MT_mydir`;
  chomp($lno);
  print "Total number of directory = $lno\n";
$lno; 
}
1;

sub pcd_sl{
  local ($file,$head) = @_;
  $maxdr = 30;

  $seldir = $ndir;

  open(FILE,"$file");

  $imax = -1;
  $imax = -$head if( $head =~ /^-/ );
  $ii = 0;
  @tbnick = ();
  @tbdir  = ();

  while(<FILE>){
    $line = $_;
    chomp($line);
    next if($line =~ /^ *#/);  # comment
    $m = rindex($line,"/");
    $nick = substr($line,$m+1);
    if( $imax < 0 ){
      next unless( $nick =~ /^$head/ ); }
    $ii++;
    push( @tbnick, $nick );
    push( @tbdir,  $line );
    printf "  %2d  %-10s : %s\n",$ii,$nick,$line;
    last if( $ii == $imax );
    if( $ii > $maxdr ){
      print "  Too many candidate. Need more information.\n";
      goto LB200; }
  }
  close(FILE);
  $nmax = $ii;
  if( $nmax == 0 ){
     if( -d $head ){
       chdir $head;
       $ndir = `pwd`;
       chomp($ndir);
       $seldir = $ndir;
       goto LB200; }
    print "  No found dir. with [$head]\n";
    print "  enter command [pcd -t]\n";
    goto LB200;
  }
  elsif( $nmax == 1 ){
    $isel = 1;
  } 
  else{
    LB150:
    print "\n";
    print ">> select number (2) ==> ";
    $isel = <STDIN>;
    chomp($isel);
   if( "$isel" eq "" ){
     print "  Command was canceled.\n";
     goto LB200; }
   if( $isel <= 0 || $isel > $nmax ){
     print "  Wrong number!  Select  [1-$nmax]\n";
     goto LB150; }
 }
 $seldir = @tbdir[$isel-1];
 LB200:
 $seldir;
}
1;

sub pcd_tb{
 local( $head ) = @_;

 @tbnick = ();
 open(FILE,"$MT_mydir");
 while(<FILE>){
   chomp($line = $_);
   $m = rindex($line, "/");
   $nick = substr($line,$m+1);
   if( $nick =~ /^$head/ ){
     push( @tbnick, $nick ); }
 }
 close(FILE);

 @tbnick = &puniq(@tbnick);
 $nmax = &pvlst(@tbnick);
 print "Total number of nick name = $nmax  [$head]\n";
 $nmax;
}
1;
