#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
require "pfnd_sub.pl";
require "pfnd_inq.pl";
require "ptime.pl";
require "pvlst.pl";
require "pextm.pl";
require "pmdir.pl";
require "puniq.pl";

&pinit.pl;

if( $ARGV[0] ){
  $ans = $ARGV[0];
  $ans = substr($ans,1); }

$max_line = 30;

print "*** Welcome to [pfnd]-command ***\n";
print "  current durectory : ",`pwd`;
print "\n";
unless( $ans ){
print ">> enter type (d:dir/f:file/<rtn>:quit) ==> ";
$ans = <STDIN>;
chomp($ans); }

$typ = "x";
$typ = "d" if( $ans =~ /^d/ );
$typ = "f" if( $ans =~ /^f/ );
if( $typ eq "x" ){
  print "  Command was cancelled.\n";
  exit;
}

@fnd_opt = ();
@fnd_nam = ();

$myfile = &fnd_make( $typ );
LB50:
&fnd_read($myfile);

&fnd_help;

LB100:
@tmp_opt = @fnd_opt;

print "\n";
print ">> enter command (t/n/m/e/g/l/s/h/q) ==> ";
$ans = <STDIN>;
chomp($ans);

if( "$ans" eq "" ){
  print "  Command was cancelled.\n";
  exit; }

if( $ans =~ /^r/ ){
  print "\n";
  print "re-read find-file\n";
  goto LB50; }

if( $ans =~ /^q/ ){
  &fnd_write($myfile);
  $nact = &fnd_actv;
  exit; }

if( $ans =~ /^t/ ){
  print "\n";
  print " selection [time]\n";
  &inq_time;
  &fnd_time; }

if( $ans =~ /^n/ ){
  print "\n";
  print " selection [name]\n";
  &inq_name;
  &fnd_name; }

if( $ans =~ /^m/ ){
  print "\n";
  print " selection [m-dir]\n";
  &inq_mdir;
  &fnd_mdir; }

if( $ans =~ /^g/ ){
  print "\n";
  print " selection [grep]\n";
  &fnd_grep; }

if( $ans =~ /^e/ ){
  print "\n";
  print " selection [extension]\n";
  &inq_ext;
  &fnd_ext; }

if( $ans =~ /^l/ ){
  &fnd_list; }

if( $ans =~ /^h/ ){
  &fnd_help; }

if( $ans =~ /^s/ ){
  &fnd_show; }

## repeat step
$nact = &fnd_actv;
if( $nact == 0 ){
  print "  No found $mesg.  So back to previous-flag\n";
  print "\n";
  print ">> enter any key ==> ";
  $ans = <STDIN>;
  @fnd_opt = @tmp_opt;
  $nact = &fnd_actv; }
goto LB100;

