#!/usr/bin/perl

sub inq_time{
  local ($i,$nmax);
  $nmax = $#fnd_nam+1;
  $utim_min = 9999999999;
  $utim_max = -999999999;
  if( $nmax > 500 ){
    print "  Not execute inq_time because of too many $mesg  $nmax\n";
    return; }
  for($i=0; $i<$nmax; $i++){
    $opt = $fnd_opt[$i];
    next if( $opt == 0 );
    $nam = $fnd_nam[$i];
    $utim = &timinod( $nam, "m" );
    $utim_min = $utim if($utim < $utim_min);
    $utim_max = $utim if($utim > $utim_max);
  }
  $jtim_min = &timjpn($utim_min);
  $jtim_max = &timjpn($utim_max);
  print "  old time = $jtim_min\n";
  print "  new time = $jtim_max\n";
}
1;

sub inq_name{
  local ($i,$m,$nmax,$mlen);
  $mlen = 6;
  $nmax = $#fnd_nam+1;
  @tbnam = ();
  for($i=0; $i<$nmax; $i++){
    $opt = $fnd_opt[$i];
    next if( $opt == 0 );
    $nam = $fnd_nam[$i];
    $m = rindex( $nam, "/" );
    $nam = substr( $nam, $m+1, $mlen );
    push( @tbnam, $nam );
  }
  $no = &pextm($mlen,@tbnam);
}
1;
    
sub inq_mdir{
  local ($i,$m,$nmax,$mlen);
  $mlen = 6;
  $nmax = $#fnd_nam+1;
  @tbnam = ();
  for($i=0; $i<$nmax; $i++){
    $opt = $fnd_opt[$i];
    next if( $opt == 0 );
    $nam = $fnd_nam[$i];
    $m = rindex( $nam, "/" );
    $nam = substr( $nam, 0, $m );
    $m = rindex( $nam, "/" );
    next if( $m <= 0 );
    $nam = substr( $nam, $m+1 );
    push( @tbnam, $nam );
 }
  $no = &pextm($mlen,@tbnam);
}
1; 

sub inq_ext{
  local ($i, $nmax, $opt, $ext, $nam, $m, $flg);
  local ($mlen, @tbex);
  print " Example of extension\n";

  @tbex = ();
  $nmax = $#fnd_nam+1;
  for($i=0; $i<$nmax; $i++){
    $opt = $fnd_opt[$i];
    next if( $opt == 0 );
    $nam = $fnd_nam[$i];
    $m = rindex( $nam, "/" );
    $nam = substr( $nam, $m+1 );
    $m = rindex( $nam, "." );
    next if( $m <= 0 );
    $ext = substr($nam,$m+1);
    next if( $ext =~ /^[0-9]/ );
    next if( length($ext) > 3);
    push( @tbex, $ext );
  }
  $mlen = 6;
  $no = &pextm($mlen,@tbex);
  print "  Note. show short-extension (3-char)\n";
  print "  Note. omit these type  .301  .3f\n";
}
1;

