#!/usr/bin/perl

sub pdred{
  local ($file) = @_;
  local ($line);

  @pd_nk = ();
  @pd_ck = ();
  if( -f $file ){
    open(FILE,"$file");
    while(<FILE>){
      $line = $_;
      chomp($line);
      $m = rindex( $line, "/" );
      push( @pd_nk, substr($line,$m+1) );
      push( @pd_dr, $line );
    }
    close(FILE);
  }
}
1;      

sub pdlst{
  local ($inp) = @_;
  local (@icnd);
  local ($i, $imax, $ii, $no);

  $imax = $#pd_nk+1;
  @icnd = ();

  if( $inp =~ /-[0-9]/ ){
    $no = -$inp;
    $no = -10 if( $no <= 0 );
    $ii = 0;
    for($i=0; $i<$imax; $i++){
      $ii++;
      last if( $ii > $no );
      push( @icnd, $i );
      printf "  %2d  %-10s  %-30s\n", $ii, $pd_nk[$i], $pd_dr[$i];
    }
  }
  else{
    $hnam = substr($inp,1);
    $ii = 0;
    for($i=0; $i<$imax; $i++){
      next if( $pd_nk[$i] !~ /^$hnam/ );
      $ii++;
      push( @icnd, $i );
      printf "  %2d  %-10s  %-30s\n", $ii, $pd_nk[$i], $pd_dr[$i];
    }
  }
@icnd;
}
1;

sub pdwrt{
  local( $file, $line ) = @_;
  local( $i, $nmax, $ii );

  open(FILE,"> $file");
  print FILE "$line\n";
  $ii = 0;
  $nmax = $#pd_nk;
  for( $i=0; $i<=$nmax; $i++ ){
    next if( $pd_dr[$i] eq $line );
    last if($ii > $MT_mxrcd);
    print FILE "$pd_dr[$i]\n";
  }
  close(FILE);
}
1;
