#!/usr/bin/perl

sub pinp{
  local ($vnew, $fnam, $fnew) = @_;
  local (@vnms, @swrd);
  local ($kk, $jj, $mstrg, $msp, $newl, $kno, $lno);
  local ($kmax, $jmax, $lchr, $olst);

  @vnms = &pspltv( " |=|,", $vnew );

#--debug
  $fpinp_msg = ".MT_fpinp" unless( $fpinp_msg );
  open(MESG, "> $fpinp_msg");
  if( $fnew ){
    print MESG "  org-file = $fnam  ==>  edt-file = $fnew\n"; }
  else{
    print MESG "  org-file = $fnam  ==>  LIST\n"; }
    print MESG "  new-Val  = [$vnew]\n";
  $kmax = $#vnms;
  for( $kk=0; $kk<=$kmax; $kk=$kk+2 ){
    print MESG "      Val $vnms[$kk] = $vnms[$kk+1]\n"; }

  $olst = 1;
  if( $fnew ){
    $olst = 0;
    open(FNEW, "> $fnew" ); } 
  open(FOLD, "$fnam");

  while(<FOLD>){
    $mstrg = $_;
    chomp($mstrg);

  @swrd = &pspltv( " |=|,", $mstrg );
  $jmax = $#swrd;

  $lno = 0;
  $msp = index( $mstrg, $swrd[0] );    # start point
  goto LB110 if( $msp < 0 );           # null line
  goto LB110 if( $swrd[0] =~ "!|#" );  # comment

  $newl = "";
  $newl = " " x $msp if( $msp > 0 );   # space at head line

  for( $jj=0; $jj<=$jmax; $jj=$jj+2 ){    # input

    $kno = -1;
    for( $kk=0; $kk<=$kmax; $kk=$kk+2 ){  # new-val
      if( $swrd[$jj] eq $vnms[$kk] ){
        $lno++;
        $kno = $kk;
        last; 
##      goto LB120;   ## ??? Error on ALTIX-3800
      }
    }   # loop(kk)
    LB120:

    if( $kno >= 0 ){
	$newl = $newl . $vnms[$kno] . " = " . $vnms[$kno+1] . ", ";  }
    else{
        if( $swrd[$jj+1] ne "?" ){
          $newl = $newl . $swrd[$jj] . " = " . $swrd[$jj+1] . ", ";  }
        else{
          $newl = $newl . $swrd[$jj] . "  "; }
    }
  }  # loop(jj)

  LB110:
  if( $lno == 0 ){
    $newl = $mstrg; }
  else{
    $lchr = &plast($mstrg);
    substr($newl,length($newl)-2,1) = " " if($lchr ne ','); } 
  $newl =~ s/ +$//;

  if( $lno > 0 ){
    print MESG "  Old [$mstrg]\n"; 
    print MESG "  New [$newl]\n";  }
  if( $olst == 1 ){
    print "$newl\n"; }
  else{
    print FNEW "$newl\n"; }

  }   #  while(<FOLD>)

  close(FOLD);
  close(FNEW) if( $olst == 0 );
}
1;
