#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
require "plk_sub.pl";
require "path.pl";

&pinit.pl;

$prjdr = "$MT_phom/Prj";
$pls   = "$MT_plib/pls.pl -t";

unless( $ARGV[0] ){
  print "--- Usage ---\n";
  print "How to inquire about the word in the code\n";
  print "  pinq  word  prj-name\n"; 
  print "  pinq  word  !  the prj-data speified by prj-command\n";
  print "How to look the result\n";
  print "  pinq -c     !  cat\n";
  print "  pinq -e     !  editor\n";
  print "  pinq -o     !  outline\n";
  print "  pinq -s     !  show file\n";
  print "\n";
  exit; }

$kwrd = $ARGV[0];
if( $kwrd =~ "-" ){
  $mode = "?";
  $mode = "c" if( $kwrd =~ "-c" );
  $mode = "e" if( $kwrd =~ "-e" );
  $mode = "o" if( $kwrd =~ "-o" );
  $mode = "s" if( $kwrd =~ "-s" );
  if( $kwrd eq "?" ){
    print "  invalid option [$kwrd]\n";
    print "  -c (cat) / -e (editor) / -o (outline) / -s (show file)\n";
    exit; }
  goto LB100;
}


if( $ARGV[1] ){
  $prjnm = $ARGV[1]; }
else{
  unless( -f "$MT_myprj" ){
    print "enter prj-command to specify the data.\n";
    exit; }
  $prjnm = `cat $MT_myprj`;
  chomp($prjnm);
}

chdir $prjdr;

unless( -f $prjnm ){
  print "No found prj-data of $prjnm  \n";
  system("$pls");
  exit; }

## setup ###
system("rm $MT_inqfl") if( -f $MT_inqfl );
system("rm $MT_inqlk") if( -f $MT_inqlk);
system("rm $MT_ftemp") if( -f $MT_ftemp );
system("echo \"### search word [$kwrd] ### in pinq.pl\" > $MT_inqlk");
system("echo \"### search word [$kwrd] ### in pinq.pl\" > $MT_ftemp");

print "Prj-name : $prjnm\n";
system("grep ^cmt $prjnm");
print "\n";

@tbinc = `sed -n 's/^inc//p' $prjnm`;
@tbsrc = `sed -n 's/^src//p' $prjnm`;

## include ###
foreach $inc (@tbinc){
  chomp($inc);
  $path = &path($inc);
  unless( -d $path ){
    print "Warning  no found inc-dir  [$inc]\n";
    next; }
  chdir $drmth;
  print "  in progress  [$path]\n";
  $cmd = "$MT_plib/plk.pl -p $kwrd -i $drson";
  system("$cmd >> $MT_inqfl");
}

## source ###
foreach $src (@tbsrc){
  chomp($src);
  $path = &path($src);
  unless( -d $path ){
    print "Warning  no found src-dir  [$src]\n";
    next; }
  chdir $drmth;
  print "  in progress  [$path]\n";
  $cmd = "$MT_plib/plk.pl -p $kwrd -d $drson";
  system("$cmd >> $MT_inqfl");
}

print "\n";
print "\n";
$lmax = `grep -c . $MT_inqfl`;

if( $lmax < 50 ){
  system("cat $MT_inqfl");
  exit;
}

  print " Too many lines in $MT_inqfl   $lmax\n";
  print ">> how to look  (<rtn>:cat/e:editor/o:outline/s:show) ==> ";
  chomp($mode = <STDIN>);

LB100:
  if( $mode eq "e" ){
    system("$MT_edit $MT_inqfl"); }
  elsif( $mode eq "o" ){
    system("grep ^inc $MT_inqfl");
    system("grep ^def $MT_inqfl");
    system("grep ^io  $MT_inqfl");
    system("grep -v ^[id] $MT_inqfl | head -30"); }
  elsif( $mode eq "s" ){
    system("perl $MT_plib/pdsp.pl  $MT_ftemp"); }
  else{
    system("cat $MT_inqfl"); }
