#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
require "plk_sub.pl";
require "psrch.pl";

&pinit.pl;


## option ###
$optw = 1;
$optd = 0;
$opts = 0;
$odsp = 0;
@temp = ();

foreach $op (@ARGV){
  $optw = 1 if( $op eq "-w" );     # word (default)
  $optw = 0 if( $op eq "-woff" );  # non-word
  $optd = 1 if( $op eq "-d" );     # directory
  $optd = 2 if( $op eq "-i" );     # include dir
  $opts = 1 if( $op eq "-p" );     # called by pinq
  $odsp = 1 if( $op eq "-s" );     # show files
  push( @temp, $op )  if( $op !~ /^-/ );
}

if( $odsp == 1 ){
  system("perl $MT_plib/pdsp.pl  $MT_ftemp");
  exit;
 }

$kwrd = shift(@temp);
@files = @temp;

if( $#files < 0 ){
  print "--- Usage ---\n";
  print "plk  word  file-name\n";
  print "plk  word  *.f\n";
  print "plk  word  -d dir-name\n";
  print "plk  word  -i inc-name\n";
  print "plk  -s\n";
  print "\n";
  exit; }

if( $optd == 0 ){
  $kchp = 0; }
elsif( -d $files[0] ){
  $kchp = 1;
  chdir $files[0];
  @files = `ls -a`; }
else{
  print "  No found file or dir [$files[0]]\n"; }

  chomp($drnm = `pwd`);
  if( $opts == 0 ){
    system("echo \"### search word [$kwrd] ###\" > $MT_inqlk");
    system("echo \"### search word [$kwrd] ###\" > $MT_ftemp"); }

  open(FLOOK,">> $MT_inqlk");
  open(FLDSP,">> $MT_ftemp");

$tno = 0;
foreach $fnam (@files){
  chomp($fnam) if( $kchp == 1);
  next unless( -T $fnam );
##  print "[$fnam]\n";
 $msft = length( "def $fnam: " );
 $ssft = " " x $msft;

 $fno = 0;
 $end = 0;
 open(FILE,$fnam);
 $buf1 = <FILE>;

LB100:
   $temp = <FILE>;

   if( substr($temp,5,1) ne " " &&
       substr($temp,0,1) eq " " ){
     $buf1 = $buf1 . $ssft . $temp;
     goto LB100; }

   if( $buf1 =~ /$kwrd/ ){
     $sty = &ptype($buf1);
     $kno = &psrch($kwrd, @wrds);
     if( $kno >= 0 ){
       $tno++;
       $fno++;
       if( $tno == 1 ){
         print "### $drnm ###\n"; }
       if( $optd <2 ){
         if( $sty =~ /red|wrt|nls/ ){
            $buf1 =~ s/\n.../\nio /g;
            print "io  $fnam: $buf1"; }
         elsif( $kno == $defeq ){
            $buf1 =~ s/\n.../\ndef/g;
            print "def $fnam: $buf1"; }
         else{
            $buf1 =~ s/\n.../\n   /g;
            print "    $fnam: $buf1"; }
       }
       else{
          $buf1 =~ s/\n.../\ninc/g;
          print "inc $fnam: $buf1"; }
     }
   }

   $buf1 = $temp;

   if( eof ){
     &ptype($buf1);
     if( $fno > 0 ){
       printf FLOOK "   %3d    %-15s  %s\n", $fno, $fnam, $drnm;
       printf FLDSP "   %s/%s\n", $drnm, $fnam; }
     goto LB200; }

   goto LB100;

 LB200:
}
close(FLOOK);

