#!/usr/bin/perl

sub ptblv{
  local (@tbl) = @_;

  $len_max = 100 unless( $len_max );
  $str_max =  12 unless( $str_max );

  $fmt = "  %2d: %-" . $str_max . "s";
  $colm = int($len_max/($str_max+6));
  $no = $#tbl + 1;

  require "vindx.pl";
  @newn = &vindx($no,$colm);

  $ii = 0;
  $line = "";
  for( $j=0; $j<$no; $j++ ){
    $ii++;
    $i    = $newn[$j];
    $fnam = $tbl[$i];
    $cnam = substr($fnam,0,$str_max);
    if( length($fnam) > $str_max ){
      substr($cnam,$str_max-1,1) = "+"; }
    $line = $line . sprintf($fmt,$i+1,$cnam);
    if( $ii % $colm == 0 ){
      print "$line\n";
      $line = ""; }
  }
  print "$line\n" if( length($line) > 0 );
}
1;
