#!/usr/bin/perl

$perl = $ENV{"PERL"};
push( @INC, "$perl" );

require "pbspc.pl";
require "pspltv.pl";

if( $#ARGV != 0 ){
   print "--- Usage ---\n";
   print "Tpbspc.pl 'mxcpu = 125, cftr = \"  dtprf_05  \", cftw = \"dtprf_06\"'\n";
   print "Tpbspc.pl 'set exsub = \"t s s \"  '\n";
   print "\n";
   exit; }

 print "\n";
 $strg = @ARGV[0];
 print "  string = [$strg]\n";
 $strg = &pbspc($strg);
 print "  change = [$strg]\n";
 @wrds = &pspltv(' |=|,', $strg);

 print "\n";
 print "  Name     Value\n";
 print "-------------------------\n";
 for($i=0;$i<=$#wrds;$i=$i+2){
   $wrds[$i+1] =~ s/\|/ /g;
   printf "  %-6s = %-12s\n",  $wrds[$i], $wrds[$i+1];
 }
