#!/usr/bin/perl

$perl = $ENV{"PERL"};
push( @INC, "$perl" );

require "pgrep.pl";

local ( @job, $i, $ans, $nam, $nn );

  @job = (     "tss",  "21",   "29",   "200" );
  push( @job,  "f64",  "32",   "29",  "1000" );
  push( @job, "f128",  "32",  "180",  "4000" );
  push( @job,  "m16",  "16",  "480",  "4000" );
  push( @job,  "m64",  "32",  "180",  "4000" );

  print " List of \@job\n";
  print "   class       PE   cpu(m)  step\n";
  for($i=0;$i<=$#job;$i=$i+4){
    printf "   [%4s] : %5s  %5s  %6s\n", 
    @job[$i],@job[$i+1],@job[$i+2],@job[$i+3]; }
  print "\n";

 print ">> select class (<rtn>:@job[8]/@job[4]) ==> ";
 $ans = <STDIN>;
 chomp($ans);
 $nam = $ans;
 $nam = @job[8] if( "$nam" eq "" );
 $nn = &pgrep( $nam, @job );

 print "\n";
 if( $nn < 0 ){
   print "No found $nam in \@job\n"; }
 else{
   print "Find $nam in \@job : @job[$nn]" . 
     "  @job[$nn+1]  @job[$nn+2]  @job[$nn+3]\n"; }
