#!/usr/bin/perl

$perl = $ENV{"PERL"};
push( @INC, "$perl" );

local($vnew, $fnam, $fnew);

require "pinp.pl";
require "plast.pl";
require "pspltv.pl";
require "pbspc.pl";

$fpinp_msg = ".MT_fpinp";

if( $#ARGV < 1 ){
   print "--- Usage ---\n";
   print "Tpinp.pl 'mxcpu = 125, itend=180, rcy_al = 4*0.999d0, limp = 3' inppls > inpnew\n";
   print "Tpinp.pl 'cftr = \"  dtprf_03\", cftw = \"dtprf_07\", ' inppls > inpnew\n";
   print "Tpinp.pl 'pfmag(1)=7.0d22, flxni=3.0d22, flxqe=20.0d6, flxqi=30.0d6' inppls > inpnew\n";
   print "\n";
   print "and then,  diff -w inpnew inppls     for check\n";
   print "If not work well, cat $fpinp_msg\n";
   print "\n";
   exit; }

$vnew = $ARGV[0];
$fnam = $ARGV[1];
$fnew = $ARGV[2] if( $ARGV[2] );

&pinp($vnew, $fnam, $fnew);


$fnew = inpnew unless( $fnew );
print STDERR "\n";
print STDERR "[$vnew]\n";
print STDERR "diff -w $fnew $fnam\n";
