#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
&pinit.pl;

@pd_nk = ();
@pd_dr = ();

require "pfile.pl";
require "phdir.pl";
require "pcd_sub.pl";
require "path.pl";
require "pvlst.pl";
require "puniq.pl";
require "pgtdr.pl";

unless( $ARGV[0] ){
  $ndir = $MT_home;
  goto LB100; }

$cmd = $ARGV[0];
$ndir = `pwd`;
chomp($ndir);

#== how to use ==================================
if( $cmd =~ /^-h/ ){
  print "\n";
  print "How to use pcd (change directory)\n";
  print " pcd -d : make new list of nick names from current directory\n";
  print " pcd -p : make new list of nick names from project data\n";
  print " pcd +d : add  nick names obtained from current directory to the list\n";
  print " pcd +p : add  nick names obtained from prj-data to the list\n";
  print " pcd -t : show the table of nick names\n";
  print " pcd test    : change directory with the nick name of test\n";
  print " pcd ../Tips : equivalent to cd ../Tips\n";
  print " pcd -5      : show the last 5-dirs from stack and then select number\n";
  print " pcd -f      : show the last 10-files and change the dir of the selected file\n";
  print "\n";
  exit 3; }

#== make list of directory from prj-data ========
if( $cmd =~ /^[+-][pd]/ ){
  $no = &pcd_cr($cmd);
  goto LB100;
}

#== list of nick name ===========================
if( "$cmd" eq "-t" ){
  $head = ".";
  $head = $ARGV[1] if( $ARGV[1] );

  $nk = &pcd_tb($head);
  goto LB100;
}

#== get dir-name from edit-file =================
if( "$cmd" eq "-f" ){
  $inp = -10;
  &pfred($myfl);
  @cand = &pflst($inp);
  $isel = &pfsel(@cand);
  $file = $pf_fl[$isel];
  $dir  = $pf_dr[$isel];
  $ndir = $dir;
  goto LB100;
}

#== normal command ==============================
if( "$cmd" =~ /^\.|~/ ){
  if( -d $cmd ){
    chdir $cmd;
    $ndir = `pwd`;
    chomp($ndir);
    goto LB100; }
  print "  No found dir [$cmd] in this dir\n";
  exit;
}

#== select directory ============================
if( "$cmd" !~ /^-/ ){
  $head = $cmd;
  $ndir = pcd_sl($MT_mydir,$head);
  goto LB100;
}  

#== hist data ===================================
if( "$cmd" =~ /^-/ ){
  if( -f $MT_recdr ){
    &pdred($MT_recdr);
    $nlst = $cmd;
    $nlst = -10 if( $nlst eq "-" );
    $ndir = &pcd_sl($MT_recdr,$nlst);
  goto LB100;
  }
 print " No record of cd-dir.\n";
 print " please eneter command  pcd dir-name at least more than 2 times.\n";
 exit;
}

#== wrong input =================================
  print "  Wrong input.\n";
  exit;

#== change directory ============================
  LB100:
   &pdred($MT_recdr);
   &pdwrt($MT_recdr, $ndir);
   system("echo $ndir > $MT_cddir");
