#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
&pinit.pl;

$opt = 0;
if( $ARGV[0] ){
 $head = $ARGV[0];
 unless( $head =~ /^-/ ){
   $opt  = 1; }
 elsif( $head eq "-n" || $head eq "-f" ){
   $opt = 2;
   $head = $ARGV[1] if( $ARGV[1] );
   $head = "-10" unless( $ARGV[1] ); }
 elsif( $head =~ /^-[0-9]/ ){
   $opt = 2; }
 else{
   print "  Input error. [@ARGV]\n";
   print "  example   ped -10,   ped -n inp\n";
   exit; }
}

#=== read hist-file ===============
@pf_fl = ();  # file name
@pf_dr = ();  # dir  name
@pf_dt = ();  # date  of rec-file
require "pfile.pl";
&pfred($MT_recfl) if(-f $MT_recfl);

#=== opt = 2 ======================
if( $opt == 2 ){
  @cand = &pflst($head);
  $isel = &pfsel(@cand);
  $file = $pf_fl[$isel];
  $dir  = $pf_dr[$isel];
  unless( -f "$dir/$file" ){
    print "  No found file [$file] in $dir\n";
    exit; }
  goto LB100;
}

#=== opt = 0/1 ====================
$pwd = `pwd`;
chomp($pwd);
print "current directory : $pwd\n";

@tbfl = `ls -a`;

@tbtx = ();
foreach $fnam (@tbfl){
  chomp($fnam);
  if( $opt ){
    next if( $fnam !~ /^$head/ ); }
    push(@tbtx,$fnam) if(-T $fnam);
}

if( $#tbtx < 0 ){
  if($opt){
    print "  make new file [$head] ? (y:<rtn>/n) ==> ";
    $ans = <STDIN>;
    chomp($ans);
    goto LB150 if( "$ans" eq "n" );
    $file = $head;
    $dir  = $pwd;
    goto LB100;  }
  LB150:
    print "  No found file !\n" unless( $opt );
    print "  No found file with [$head]\n" if($opt);
    exit;
}

require "pvsel.pl";
$i = &pvsel($MT_lnfix,@tbtx);

$file = @tbtx[$i];
$dir = $pwd;

#== Decision of file =======================
LB100:
print "target file : $file in  $dir\n";

#== history data ===========================
$line = ">$file  >$dir  >" . `date`;
&pfwrt($MT_recfl,$line);

#== edit file ==============================
chdir $dir;
system( "csh $MT_plib/ced.sh $file" );

