#!/usr/bin/perl

sub pwsep{
local ($line) = @_;
local ($max, $pnm, $j, $i, $chr, $lst);
local (@wrds);

@wrds = ();
$max  = length($line);

$pnam = "";
$j = 0;
for($i=1; $i<$max; $i++){
  $chr = substr($line,$i,1);
  next if( $chr =~ /\n/ );
  if( index(" +-*/(){}[]<>,=!:;&\'\"\|",$chr) < 0 ){
   $pnam = $pnam . $chr;
  }
  else{
    if( $pnam =~ /^\d/ ){
      $lst = substr($pnam,length($pnam)-1,1);
      if( index( "eded", $lst ) >= 0 ){
        $pnam = $pnam . $chr;
        next; }
    }
    if( length($pnam) > 0 ){
      push(@wrds,$pnam);
    }
    $pnam = "";
  }
}
if( length($pnam) > 0 ){
    push(@wrds,$pnam); }
@wrds;
}
1;

sub tblst{
local (@tbl) = @_;
local ($line);
local ($elm);

$line = "  ";
foreach $elm (@tbl){
  $line = $line . "[" . $elm . "]  ";
  if( length($line) > 80 ){
    print "$line\n";
    $line = "  "; }
}
print "$line\n" if( length($line) > 2 );
}
1;

sub ptype{
local ($line) = @_;
local ($key);
local ($defeq, $iwst, $topw);
##Note global (@wrds, $meq);

$defeq = -1;
@wrds = &pwsep($line);

if( substr($line,0,1) ne " " ){
  $key = "cmt"; }
else{
  $iwst = 0;
  $iwst = 1 if( substr($wrds[0],0,1) =~ /\d/ );
  $topw = @wrds[iwst];
  $topw =~ tr/a-z/a-z/;
  if( $topw eq "program" ){
     $key = "prg"; }
  elsif( $topw eq "subroutine" ){
     $key = "sub"; }
  elsif( $topw eq "entry" ){
     $key = "ent"; }
  elsif( $topw eq "function" ){
     $key = "fun"; }
  elsif( $topw eq "block" || $topw eq "blockdata" ){
     $key = "blk"; }
  elsif( $topw eq "call" ){
     $key = "cal"; }
  elsif( $topw eq "include" ){
     $key = "inc"; }
  elsif( $topw eq "read" ){
     $key = "red"; }
  elsif( $topw eq "write" ){
     $key = "wrt"; }
  elsif( $topw eq "namelist" ){
     $key = "nls"; }
  elsif( $topw eq "format" ){
     $key = "fmt"; }
  elsif( $topw eq "if" || $topw eq "elseif" ){
     $defeq = &pwsepif( $line );
     $key = "if ";
     $key = "EQf" if( $meq >= 0 );
  }
  elsif( $topw eq "do" ){
     $key = "do "; }
  elsif( $topw eq "parameter" ){
     $key = "EQp"; }
  else{
     $meq = index( $line, "=" );
     if( $meq < 0 ){
       $key = "non"; }
     else{
       $key = "EQv";
       $defeq = $iwst; }
  }
}
##print "$key  $line";
$key;
}


sub pwsepif{
local ($line) = @_;
local ($ip, $max, $i, $chr, $mj1, $mj2);
local ($slin, $nlin, @wrds2, $nvl);
#Note global (@wrds,$meq)

$ip = 0;
$max = length($line);
for($i=0; $i<$max; $i++){
  $chr = substr($line,$i,1);
  if( $chr eq "(" ){
    $mj1 = $i if( $ip == 0 );
    $ip = $ip + 1; }
  if( $chr eq ")" ){
    $mj2 = $i;
    $ip = $ip - 1;
    last if($ip == 0 ); }
}

@wrds = ();
$nvl = -1;

$slin = substr( $line, $mj1, $mj2-$mj1+1 );
$slin =~ s/==/ || /g;
$slin =~ s/\.[eEnNoOgGlL][qQeErRtT]\./ || /g; 
$slin =~ s/\.[aAnN][nNoO][dDtT]\./ || /g;
$nlin = substr( $line, 0, $mj1 ) . $slin;
@wrds = &pwsep($nlin);
$nvl = $#wrds + 1;
$nlin  = substr( $line, $mj2+1 );
@wrds2 = &pwsep($nlin);
$meq = index($nlin,"=");
$nvl = -1 if( $meq < 0 );
push( @wrds, @wrds2 );
$nvl;
}
1;
