#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
require "pvlst.pl";
require "pvsel.pl";
require "path.pl";
require "pmkprj.pl";
require "puniq.pl";
require "psrch.pl";

&pinit.pl;

local($prjdr, @temp, @tbmem);
local($line, $i, $pnam);


$prjdr = "$MT_phom/Prj";
chdir $prjdr;

unless( $ARGV[0] ){
  @temp = `ls -1`;
  @tbmem = ();
  foreach $line (@temp){
    chomp($line);
    push(@tbmem,$line); }
  print "===== prj-data ====================\n";    
  $i = &pvsel($MT_lnfix,@tbmem);
  $pnam = $tbmem[$i];
}

elsif( $ARGV[0] eq "-1" ){
  chomp($pnam = `cat $MT_myprj`); }
elsif( $ARGV[0] eq "-s" ){
  $pnam = &pmkprj;
 }
else{
  $pnam = $ARGV[0]; }

unless( -f $pnam ){
 print " No found prj-name [$pnam] in Prj-dir\n";
 exit; }

system("echo \"$pnam\" > $MT_myprj");

print "\n";
print "Prj-name : $pnam\n";
system("grep ^cmt $pnam");
print "\n";
