#!/usr/bin/perl

$MT_plib = $ENV{"PERL"};
push( @INC, "$MT_plib" );

require "pinit.pl";
&pinit.pl;

if( $ARGV[0] ){
  $file = $ARGV[0];
}
else{
  $tmp = `head -1 $MT_recfl`;
  @nam = split( '>', $tmp );
  $dnam = $nam[2];
  $fnam = $nam[1];
  $dnam =~ s/ //g;
  $fnam =~ s/ //g;
  $file = "$dnam/$fnam";
}

unless( -f $file ){
  print " Not found file [$file]\n";
  exit; }
unless( -T $file ){
  print " Not text file [$file]\n";
  exit; }

$pg = `grep -c . $file`;
$pg = int($pg/66);
$pg = 1 if( $pg < 1 );

print "  List of $file  $pg pages\n";
if( $pg > $MT_prpag * 5 ){
  print "  command was canceled because of huge papers.\n";
  exit;
}
elsif( $pg > $MT_prpag ){
  LB100:
  print "  Do you need this list?  (yes/<rtn>:no) ==> ";
  $ans = <STDIN>;
  chomp($ans);
  if( "$ans" eq "y" ){
     print "  Please answer yes.\n";
     goto LB100; }
  if( "$ans" ne "yes" ){
    print "  command was canceled.\n"; 
    exit; }
}

 print "  printer($MT_prntr) & pages($pg) O.K. ? (<rtn>:y/n) ==> ";
 $ans = <STDIN>;
 chomp($ans);
 $ans = "y" if( length($ans) == 0 );
 unless( "$ans" =~ /^y/ ){
    print "  command was canceled.\n"; 
    exit; }

system( "$MT_prcmd  -P$MT_prntr  $file" );
