#!/usr/bin/perl

sub pvlst{
 local (@tab) = @_;
 local ($i, $j);

 $MT_lnstr = 12 unless( $MT_lnstr );
 $MT_ncolm =  6 unless( $MT_ncolm );
 $MT_lnfix =  0 unless( $MT_lnfix );

 $nmax = $#tab+1;
 $fmt  = "  %-" . $MT_lnstr . "s";

 require "vindx.pl";
 @newn = vindx($nmax,$MT_ncolm);

 $line = "";
 for( $j=0; $j<$nmax; $j++ ){
   $i = $newn[$j];
   $dnam = $tab[$i];

   $lnnm = length($dnam);
   if( $MT_lnfix ){
     $dnam = substr( $dnam, 0, $MT_lnstr );    
     substr( $dnam, $MT_lnstr-1, 1 ) = "+" if( $lnnm > $MT_lnstr ); }

   $line = $line . sprintf($fmt,$dnam);
   if( ($j+1) % $MT_ncolm == 0 ){
     print "$line\n";
     $line = ""; }
 }
 print "$line\n" if( length($line) > 0 );
$nmax;
}
1;
